ERROR on update

Get help with installation and running phpBB 3.3.x here. Please do not post bug reports, feature requests, or extension related questions here.
static1635
Registered User
Posts: 137
Joined: Sat Jan 29, 2005 3:57 pm
Location: Scotland

ERROR on update

Post by static1635 »

Hi

I got this error updating the database:

General Error:SQL ERROR [ mysqli ]Unknown column 'pf_phpbb_youtube' in 'field list' [1054]SQLSELECT user_id, pf_phpbb_youtube FROM phpbb_profile_fields_data WHERE pf_phpbb_youtube '' AND pf_phpbb_youtube LIKE '%youtube.com/%' in file /home/bigglesforum/bigglesforum.net/forum/phpbb/db/driver/driver.php on line 1031
User avatar
P_I
Community Team Member
Community Team Member
Posts: 2387
Joined: Tue Mar 01, 2011 8:35 pm
Location: Western Canada 🇨🇦

Re: ERROR on update

Post by P_I »

What version were you using before the update and what version was used for the update?

What update procedure did you follow? Hopefully you followed Minor Updates Within 3.3.x.

Please fill out the Support Request Template and post it back here to enable us to assist you better.
Normal people… believe that if it ain’t broke, don’t fix it. Engineers believe that if it ain’t broke, it doesn’t have enough features yet. – Scott Adams
static1635
Registered User
Posts: 137
Joined: Sat Jan 29, 2005 3:57 pm
Location: Scotland

Re: ERROR on update

Post by static1635 »

I went from 3.3.1 and updated to 3.3.11
I did "full package"
https://www.phpbb.com/support/docs/en/3 ... date_full/
Ok, I'll do the support template
Thanks
User avatar
P_I
Community Team Member
Community Team Member
Posts: 2387
Joined: Tue Mar 01, 2011 8:35 pm
Location: Western Canada 🇨🇦

Re: ERROR on update

Post by P_I »

I thought the issue of Youtube profile fields was fixed in 3.3.11, source phpBB 3.3.11 Release - Release Highlights.

Perhaps one of the Support Team members can provide some further insight.
Normal people… believe that if it ain’t broke, don’t fix it. Engineers believe that if it ain’t broke, it doesn’t have enough features yet. – Scott Adams
static1635
Registered User
Posts: 137
Joined: Sat Jan 29, 2005 3:57 pm
Location: Scotland

Re: ERROR on update

Post by static1635 »

Support Request Template
What version of phpBB are you using? phpBB 3.3.11
What is your board's URL? https://bigglesforum.net
Who do you host your board with? Dreamhost
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? Yes
Do you have any MODs installed? No
Do you have any extensions installed? Yes
What version of phpBB3 did you update from? phpBB 3.3.1
What extensions do you have installed? No answer given
What styles do you currently have installed? prosilver
What language(s) is your board currently using? No answer given
Which database type/version are you using? I Don't Know
What is your level of experience? Comfortable with PHP and phpBB
What username can be used to view this issue? No answer given
What password can be used to view this issue? No answer given
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? The board is running fine but it thinks it is ver 3.3.10 as the database update failed with an error:

General Error:SQL ERROR [ mysqli ]Unknown column 'pf_phpbb_youtube' in 'field list' [1054]SQLSELECT user_id, pf_phpbb_youtube FROM phpbb_profile_fields_data WHERE pf_phpbb_youtube '' AND pf_phpbb_youtube LIKE '%youtube.com/%' in file /home/bigglesforum/bigglesforum.net/forum/phpbb/db/driver/driver.php on line 1031
Please describe your problem. No answer given
Generated by SRT Generator
rxu
Extensions Development Team
Posts: 3742
Joined: Wed Oct 25, 2006 12:46 pm
Location: Siberia, Russian Federation

Re: ERROR on update

Post by rxu »

It's to be fixed in 3.3.12: https://github.com/phpbb/phpbb/pull/6560
User avatar
Mick
Support Team Member
Support Team Member
Posts: 26639
Joined: Fri Aug 29, 2008 9:49 am

Re: ERROR on update

Post by Mick »

P_I wrote: Mon Apr 22, 2024 7:59 pmI thought the issue of Youtube profile fields was fixed in 3.3.11
So did I and there was a quick fix for it as far back as 3.3.8 if memory serves.

I can’t say I’ve seen this issue with 3.3.11 so maybe there’s something else going on here?
  • "The more connected we get the more alone we become" - Kyle Broflovski©
  • "The good news is hell is just the product of a morbid human imagination.
    The bad news is, whatever humans can imagine, they can usually create.
    " - Harmony Cobel
static1635
Registered User
Posts: 137
Joined: Sat Jan 29, 2005 3:57 pm
Location: Scotland

Re: ERROR on update

Post by static1635 »

I found an additional BB code for youtube that I'd long forgotten was there. I removed that but got the same issue. TBH the forum is running just fine even if it thinks it's 3.3.10... at least it's no longer 3.3.1!
User avatar
warmweer
Jr. Extension Validator
Posts: 11372
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: ERROR on update

Post by warmweer »

static1635 wrote: Tue Apr 23, 2024 10:25 am I found an additional BB code for youtube that I'd long forgotten was there. I removed that but got the same issue. TBH the forum is running just fine even if it thinks it's 3.3.10... at least it's no longer 3.3.1!
What do you mean by "if it thinks..."

BTW your Contact Admin extension is 4 years old. You should update that. (same with Nationalflags)
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.


Time flies like an arrow, but fruit flies like a banana.
static1635
Registered User
Posts: 137
Joined: Sat Jan 29, 2005 3:57 pm
Location: Scotland

Re: ERROR on update

Post by static1635 »

Yes, I shall update the extensions shortly
static1635
Registered User
Posts: 137
Joined: Sat Jan 29, 2005 3:57 pm
Location: Scotland

Re: ERROR on update

Post by static1635 »

warmweer wrote: Tue Apr 23, 2024 11:02 am
What do you mean by "if it thinks..."
I mean, the admin section is saying my forum is 3.3.11 but my database is 3.3.10
Being that the forum is no longer 3.3.1, progress anyway

Most of the extensions that need updating only work with 3.3.11
I knocked over the forum for a bit as I updated with the 3.3.11 version of contact admin. Came back when I went down a level

Return to “[3.3.x] Support Forum”